<?php
/*
  Plugin Name: Sch.gr commons
  Plugin URI: https://wordpress.org/plugins/schgr-commons/
  Description:  Adds oEmbed support in WordPress posts, pages and custom post types for videos, presentations etc from the video.sch.gr, mmpres.sch.gr sites of Greek Schools Network.
  Tags: sch.gr, video.sch.gr, vod-new.sch.gr, mmpres.sch.gr
  Version: 2.0
  Requires at least: WordPress  4.0
  Tested up to: WordPress 4.4
  Author:  NTS on CTI.gr, lenasterg
  Author URI:
  Text Domain: sch_gr_commons
  Domain Path: /languages
  Last Updated: March 1, 2017
  License: GNU/GPL 3
 */

add_action('plugins_loaded', 'sch_gr_commons_i18n_init');

/**
 * Initialize internationalization (i18n) for this plugin.
 * References:
 *      http://codex.wordpress.org/I18n_for_WordPress_Developers
 *      http://www.wdmac.com/how-to-create-a-po-language-translation#more-631
 * @since 1.0
 */
function sch_gr_commons_i18n_init() {
    load_plugin_textdomain('sch_gr_commons', false, basename(dirname(__FILE__)) . '/languages/');
}

/**
 * Add mmpress.sch.gr support
 * @since 1.0
 */
wp_embed_register_handler('mmpressch', '/mmpres.sch.gr:4000\/(\w+)/i', 'sch_gr_wp_embed_handler_mmpressch');

function sch_gr_wp_embed_handler_mmpressch($matches, $attr, $url, $rawattr) {
    //$args = wp_parse_args($args, wp_embed_defaults());
    $args = wp_embed_defaults();

    $width = $args['width'];
    if ($width > 660) {
        $width = 660;
    }
    $height = floor($width * 380 / 660);
    $embed = '<div align="center"><iframe  width="' . $width . '" height="' . $height . '" src="' . $url . '/?autostart=false" '
            . 'scrolling="no" frameborder="0" '
            . 'allowtransparency="true" allowfullscreen="" mozallowfullscreen="" webkitallowfullscreen=""></iframe>'
            . '	<br/><a href="' . $url . '">' . __('Go to mmpres.sch.gr', 'sch_gr_commons') . '</a></div>';
//            . '	<br/><a href="http://mmpres.sch.gr">' . __('Go to mmpres.sch.gr', 'sch_gr_commons') . '</a></div>';

    return apply_filters('sch_gr_embed_mmpressch', $embed, $matches, $attr, $url, $rawattr);
}

wp_embed_register_handler('vodnew', '/http:\/\/vod-new.sch.gr\/asset\/detail\/((\w+)\/(\w+))/', 'sch_gr_wp_embed_handler_vodnew');

wp_embed_register_handler('vodnew', '/http:\/\/video.sch.gr\/asset\/detail\/((\w+)\/(\w+))/', 'sch_gr_wp_embed_handler_vodnew');

/**
 * Add mmpress.sch.gr support
 * @since 1.0
 */
function sch_gr_wp_embed_handler_vodnew($matches, $attr, $url, $rawattr) {
    //$args = wp_parse_args($args, wp_embed_defaults());
    $args = wp_embed_defaults();
    $width = $args['width'];
    if ($width > 660) {
        $width = 660;
    }
    $height = floor($width * 380 / 760);
    $embed = '<div align="center"><iframe src="' . sprintf(
                    'http://vod-new.sch.gr/asset/player/%1$s/%2$s', esc_attr($matches[1]), esc_attr($matches[2])) . '" width="' . $width . 'px" '
            . 'height="' . $height . 'px" scrolling="no" frameborder="0" '
            . 'allowtransparency="true" allowfullscreen="" mozallowfullscreen="" webkitallowfullscreen=""></iframe>'
            . '<a href="' . $url . '">' . __('Watch it in video.sch.gr', 'sch_gr_commons') . '</a></div>';
    ;

    return apply_filters('sch_gr_wp_embed_vodnew', $embed, $matches, $attr, $url, $rawattr);
}
